Bug 21325

Summary: [PATCH] Praveen's patches
Product: POI Reporter: Ryan Ackley <sackley>
Component: HDFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: other   
Attachments: modified FontTable class
modified Ffn class
test case for FontTable class
updated FontTable class
Updated Ffn class
upadated Ffn class, after Unit testing
updated Fonttable class after unit testing
fix the testcase, already
this class provides methods to decompress SPRMS
This class provides methods for the Decompression of Sprms
This class provides methods for the Decompression of Sprms
added functions to read PAP & CHP
added mergeUpeChpx function
modified createPap() & createChp() functions
added more member functions & member variables

Description Ryan Ackley 2003-07-03 18:57:11 UTC
 
Comment 1 Ryan Ackley 2003-07-03 19:02:10 UTC
I have created this issue to make it easy for Praveen to send us patches.
Comment 2 Ryan Ackley 2003-07-03 19:05:29 UTC
leave this open for Praveen to submit patches
Comment 3 Praveen Mathew 2003-07-04 05:55:28 UTC
Created attachment 7094 [details]
modified FontTable class
Comment 4 Praveen Mathew 2003-07-04 05:58:31 UTC
Created attachment 7095 [details]
modified Ffn class
Comment 5 Praveen Mathew 2003-07-09 06:02:26 UTC
Created attachment 7183 [details]
test case for FontTable class
Comment 6 Praveen Mathew 2003-07-09 06:03:45 UTC
Created attachment 7184 [details]
updated FontTable class
Comment 7 Praveen Mathew 2003-07-09 06:08:51 UTC
Created attachment 7185 [details]
Updated Ffn class
Comment 8 Praveen Mathew 2003-07-11 12:54:32 UTC
Created attachment 7241 [details]
upadated Ffn class, after Unit testing
Comment 9 Praveen Mathew 2003-07-11 12:55:26 UTC
Created attachment 7242 [details]
updated Fonttable class after unit testing
Comment 10 Paul Krause 2003-07-18 15:53:50 UTC
Created attachment 7375 [details]
fix the testcase, already
Comment 11 Andy Oliver 2003-07-24 17:03:07 UTC
very soon praveen needs to learn how to create bugs and attach his patches
seperately and label what they are.  One big mega patch bug is hard to track.
Comment 12 Praveen Mathew 2003-07-30 12:28:35 UTC
Created attachment 7582 [details]
this class provides methods to decompress SPRMS
Comment 13 Praveen Mathew 2003-08-06 11:42:04 UTC
Created attachment 7661 [details]
This class provides methods for the Decompression of Sprms
Comment 14 Praveen Mathew 2003-08-06 11:42:49 UTC
Created attachment 7662 [details]
This class provides methods for the Decompression of Sprms
Comment 15 Praveen Mathew 2003-08-27 16:44:10 UTC
Created attachment 7966 [details]
added functions to read PAP & CHP
Comment 16 Praveen Mathew 2003-08-27 16:46:26 UTC
Created attachment 7967 [details]
added mergeUpeChpx function
Comment 17 Praveen Mathew 2003-08-27 16:48:52 UTC
Created attachment 7968 [details]
modified createPap() & createChp() functions
Comment 18 Praveen Mathew 2003-08-27 16:51:46 UTC
Created attachment 7969 [details]
added more member functions & member variables
Comment 19 xudong 2005-05-14 09:49:39 UTC
Thanks for making such a patch.

I don't know why, but I cannot find any constructor in HSFFormulaEvaluator. 

I am using the patch created in 2005-05-11 06:02. 

I think I am using a wrong patch. But where can I find the correct one?
Comment 20 Yegor Kozlov 2008-12-30 10:00:23 UTC
I think it was re-opened by mistake, two years after the patch was applied and the bug closed.

Yegor